#!/usr/bin/python

""" update the spec file repositories """

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# Copyright 2004 Dries Verachtert

import ConfigParser, os, posixpath, sys, commands
from optparse import OptionParser
sys.path.append(".")
sys.path.append("pydar")
sys.path.append("/usr/share/pydar2/pydar")


from pydarclient import PydarClient
from config import Config

# updates the spec file repositories on the master

# - get the commands to execute from the master
# - use those commands
# - informs the master when the update is done -> rechecks spec files

# get  the url of the master and a userId

conf = Config.getInstance()

parser = OptionParser()
parser.add_option("-c", "--clientconfig", default=None, dest="clientconfig", help="specify configuration file", metavar="FILE")
(options, args) = parser.parse_args()
conf.specifyGetOptOptions(options)
password = conf.getClientPassword()

pc = PydarClient(conf.getBuildMasterUrlClient())
commandlines = pc.getSpecRepositoriesUpdateCommands(conf.getClientUserId(), password)
lines = commandlines.split("\n")
for line in lines:
    print "line: " + line + "\n"
    (status, output) = commands.getstatusoutput("/bin/bash -c \""+line+"\"")
    #(status, output) = commands.getstatusoutput("/bin/bash -c \""+line+"\"")
    print "status: " + str(status)
    print "output: " + output
    
# now ask the master to update the lists about the spec files
pc.updateAllSpecRepositoriesFileLists(conf.getClientUserId(),password)

